use "LOCATION OF metco_mcas2002.dta/metco_mcas2002.dta"

gen percentmetco = 100* metcoingrade/t1mn
gen engpercprof = t1ea + t1eb
gen mathpercprof = t1ma + t1mb
gen engpercni = t1ea + t1eb + t1ec
gen mathpercni = t1ma + t1mb + t1mc
gen whiteengpercprof = wea + web
gen whitemathpercprof = wma + wmb
gen whiteengpercni = wea + web + wec
gen whitemathpercni = wma + wmb + wmc

label var percentmetco "100*metcoingrade/math-tested"
label var engpercprof "percent prof or higher on english"
label var mathpercprof "percent prof or higher on math"
label var whiteengpercprof "percent of whites prof or higher on english"
label var whitemathpercprof "percent of whites prof or higher on math"
label var t1en "number included in english"
label var t1mn "number included in math"
label var whiteengpercni "whites ni or higher on english"
label var whitemathpercni "whites ni or higher on math"
label var engpercni "percent ni or higher on english"
label var mathpercni "percent ni or higher on math"

preserve
keep if inside495==1 & dist_no!=35 & (dist_no!=157 | school_no!=305) & (type== 1 | type==2) & grade==4

****means****
sum mathpercni mathpercprof engpercni engpercprof whitemathpercni whitemathpercprof whiteengpercni whiteengpercprof

****all students****

quietly reg mathpercni inside128 t1mn percentmetco has7or8 [aw=t1mn]
di _b[percentmetco] " " _se[percentmetco]
quietly areg mathpercni t1mn percentmetco has7or8 [aw=t1mn], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]
quietly reg mathpercprof inside128 t1mn percentmetco has7or8 [aw=t1mn]
di _b[percentmetco] " " _se[percentmetco]
quietly areg mathpercprof t1mn percentmetco has7or8 [aw=t1mn], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]

quietly reg engpercni inside128 t1en percentmetco has7or8 [aw=t1en]
di _b[percentmetco] " " _se[percentmetco]
quietly areg engpercni t1en percentmetco has7or8 [aw=t1en], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]
quietly reg engpercprof inside128 t1en percentmetco has7or8 [aw=t1en]
di _b[percentmetco] " " _se[percentmetco]
quietly areg engpercprof t1en percentmetco has7or8 [aw=t1en], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]


****white students***

quietly reg whitemathpercni inside128 t1mn percentmetco has7or8 [aw=wmn2]
di _b[percentmetco] " " _se[percentmetco]
quietly areg whitemathpercni t1mn percentmetco has7or8 [aw=wmn2], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]
quietly reg whitemathpercprof inside128 t1mn percentmetco has7or8 [aw=wmn2]
di _b[percentmetco] " " _se[percentmetco]
quietly areg whitemathpercprof t1mn percentmetco has7or8 [aw=wmn2], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]

quietly reg whiteengpercni inside128 t1en percentmetco has7or8 [aw=wen2]
di _b[percentmetco] " " _se[percentmetco]
quietly areg whiteengpercni t1en percentmetco has7or8 [aw=wen2], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]
quietly reg whiteengpercprof inside128 t1en percentmetco has7or8 [aw=wen2]
di _b[percentmetco] " " _se[percentmetco]
quietly areg whiteengpercprof t1en percentmetco has7or8 [aw=wen2], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]


restore
keep if metcodistrict==1 & (dist_no!=157 | school_no!=305) & (type==1 | type==2) & grade==4

****metco district means****
sum mathpercni mathpercprof engpercni engpercprof whitemathpercni whitemathpercprof whiteengpercni whiteengpercprof

****metco district students****

quietly reg mathpercni inside128 t1mn percentmetco has7or8 springfieldmetco [aw=t1mn]
di _b[percentmetco] " " _se[percentmetco]
quietly areg mathpercni t1mn percentmetco has7or8 [aw=t1mn], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]
quietly reg mathpercprof inside128 t1mn percentmetco has7or8 springfieldmetco [aw=t1mn]
di _b[percentmetco] " " _se[percentmetco]
quietly areg mathpercprof t1mn percentmetco has7or8 [aw=t1mn], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]

quietly reg engpercni inside128 t1en percentmetco has7or8 springfieldmetco [aw=t1en]
di _b[percentmetco] " " _se[percentmetco]
quietly areg engpercni t1en percentmetco has7or8 [aw=t1en], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]
quietly reg engpercprof inside128 t1en percentmetco has7or8 springfieldmetco [aw=t1en]
di _b[percentmetco] " " _se[percentmetco]
quietly areg engpercprof t1en percentmetco has7or8 [aw=t1en], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]


****white metco district students***

quietly reg whitemathpercni inside128 t1mn percentmetco has7or8 springfieldmetco [aw=wmn2]
di _b[percentmetco] " " _se[percentmetco]
quietly areg whitemathpercni t1mn percentmetco has7or8 [aw=wmn2], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]
quietly reg whitemathpercprof inside128 t1mn percentmetco has7or8 springfieldmetco [aw=wmn2]
di _b[percentmetco] " " _se[percentmetco]
quietly areg whitemathpercprof t1mn percentmetco has7or8 [aw=wmn2], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]

quietly reg whiteengpercni inside128 t1en percentmetco has7or8 springfieldmetco [aw=wen2]
di _b[percentmetco] " " _se[percentmetco]
quietly areg whiteengpercni t1en percentmetco has7or8 [aw=wen2], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]
quietly reg whiteengpercprof inside128 t1en percentmetco has7or8 springfieldmetco [aw=wen2]
di _b[percentmetco] " " _se[percentmetco]
quietly areg whiteengpercprof t1en percentmetco has7or8 [aw=wen2], absorb(dist_no)
di _b[percentmetco] " " _se[percentmetco]

close